let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/4vii46fvnn3jia93cjl782mnrvwflyvm-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/jis165izlxngpgvv2anhz34lvkbdqfnl-coreutils-8.29/bin";
  bzip2 = "/nix/store/78qd6bp6y33ik5i69wpqzy65nv1md1w3-bzip2-1.0.6.0.1-bin/bin/bzip2";
  gzip = "/nix/store/gqz7k4zbac7hfafpp8knqx8dj59fpp2l-gzip-1.9/bin/gzip";
  xz = "/nix/store/7nddws4bx9z89k4bqdg77dw54cyfyx2z-xz-5.2.4-bin/bin/xz";
  tar = "/nix/store/nvhjbxzwnpfhx75g0fw7kmcyd8xqrw3b-gnutar-1.30/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/jis165izlxngpgvv2anhz34lvkbdqfnl-coreutils-8.29/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/a48whqkmxnsfhwbk6nay74iyc1cf0lr2-nix-2.2/bin";
  nixPrefix = "/nix/store/a48whqkmxnsfhwbk6nay74iyc1cf0lr2-nix-2.2";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/a48whqkmxnsfhwbk6nay74iyc1cf0lr2-nix-2.2/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
